<template>
  <div id="app" class="container">
    <div class="row">
      <div class="col-xs-12">
        <!-- <quote quote="A wonderful quote!"></quote> -->
        <!-- <quote>
          <h2>{{ quoteTitle }}</h2>
          <p>A wonderful quote</p>
        </quote> -->
        <button @click="selectedComponent = 'quote'">Quote</button>
        <button @click="selectedComponent = 'author'">Author</button>
        <button @click="selectedComponent = 'new'">New</button>
        <hr />
        <p>{{ selectedComponent }}</p>
        <!-- <quote>
          <h2 slot="title">{{ quoteTitle }}</h2>
          <p slot>A wonderful quote</p>
        </quote> -->
        <keep-alive>
          <component :is="selectedComponent">
            <p>Default</p>
          </component>
        </keep-alive>
      </div>
    </div>
  </div>
</template>

<script>
import Quote from "@/components/Quote.vue";
import Author from "@/components/Author.vue";
import New from "@/components/New.vue";

export default {
  data() {
    return {
      quoteTitle: "The Quote",
      selectedComponent: "quote"
    };
  },
  components: {
    quote: Quote,
    author: Author,
    new: New
  }
};
</script>

<style>
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  margin-top: 60px;
}
/* h2 {
  color: red;
} */
</style>
